Skip to content
GET/{organizationId}/crm/departments/{departmentId}

Get a department

Returns a specific department for the given organization

Required permissions:

  • department.read

Path Parameters

organizationIdstringrequired
departmentIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/crm/departments/{departmentId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/crm/departments/{departmentId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

namestringrequired

minLength: 1

maxLength: 80

ObjectId as string

minItems: 1

Additional properties are not allowed.

categorybooleanrequired
idPathstringrequired
namePathstringrequired
totalActiveContactsintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "_id": "000000000000000000000001",
  "name": "string",
  "syncWithMandate": "000000000000000000000001",
  "types": [
    "member"
  ],
  "member": {
    "stockReport": {
      "sportNumber": "string",
      "associationNumber": "string"
    }
  },
  "color": "",
  "category": true,
  "idPath": "string",
  "namePath": "string",
  "activeTypeCounters": {},
  "totalActiveContacts": 0
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}